# BaseballGameDataRestObject

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Copyright** | **string** |  | [optional] [default to null]
**Game** | [***BaseballGameDataGameRestObject**](BaseballGameDataGameRestObject.md) |  | [optional] [default to null]
**Datetime** | [***BaseballGameDateTimeRestObject**](BaseballGameDateTimeRestObject.md) |  | [optional] [default to null]
**Status** | [***GameStatusRestObject**](GameStatusRestObject.md) |  | [optional] [default to null]
**Teams** | [**map[string]BaseballTeamRestObject**](BaseballTeamRestObject.md) |  | [optional] [default to null]
**Players** | [**map[string]BaseballPersonRestObject**](BaseballPersonRestObject.md) |  | [optional] [default to null]
**Venue** | [***VenueRestObject**](VenueRestObject.md) |  | [optional] [default to null]
**OfficialVenue** | [***VenueRestObject**](VenueRestObject.md) |  | [optional] [default to null]
**Weather** | [***WeatherRestObject**](WeatherRestObject.md) |  | [optional] [default to null]
**GameInfo** | [***GameInfoRestObject**](GameInfoRestObject.md) |  | [optional] [default to null]
**Review** | [***BaseballReviewRestObject**](BaseballReviewRestObject.md) |  | [optional] [default to null]
**AbsChallenges** | [***BaseballAbsChallengeRestObject**](BaseballABSChallengeRestObject.md) |  | [optional] [default to null]
**Flags** | [***BaseballGameFlagRestObject**](BaseballGameFlagRestObject.md) |  | [optional] [default to null]
**Alerts** | [**[]BaseballGameAlertRestObject**](BaseballGameAlertRestObject.md) |  | [optional] [default to null]
**ProbablePitchers** | [***BaseballGameProbableRestObject**](BaseballGameProbableRestObject.md) |  | [optional] [default to null]
**OfficialScorer** | [***BaseballPersonRestObject**](BaseballPersonRestObject.md) |  | [optional] [default to null]
**PrimaryDatacaster** | [***BaseballPersonRestObject**](BaseballPersonRestObject.md) |  | [optional] [default to null]
**SecondaryDatacaster** | [***BaseballPersonRestObject**](BaseballPersonRestObject.md) |  | [optional] [default to null]
**RuleSettings** | [**[]RuleSettingsRestObject**](RuleSettingsRestObject.md) |  | [optional] [default to null]
**MoundVisits** | [***MoundVisitsRestObject**](MoundVisitsRestObject.md) |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

