# BaseballHit

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**LaunchData** | [***LaunchData**](LaunchData.md) |  | [optional] [default to null]
**TrajectoryData** | [***HitTrajectoryData**](HitTrajectoryData.md) |  | [optional] [default to null]
**LandingData** | [***StartEndData**](StartEndData.md) |  | [optional] [default to null]
**LastMeasuredData** | [***StartEndData**](StartEndData.md) |  | [optional] [default to null]
**ReducedConfidence** | **[]string** |  | [optional] [default to null]
**Team** | [***BaseballTeam**](BaseballTeam.md) |  | [optional] [default to null]
**Inning** | **int32** |  | [optional] [default to null]
**Pitcher** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**Batter** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**CoordX** | **float64** |  | [optional] [default to null]
**CoordY** | **float64** |  | [optional] [default to null]
**LandingPosX** | **float64** |  | [optional] [default to null]
**LandingPosY** | **float64** |  | [optional] [default to null]
**Type_** | **string** |  | [optional] [default to null]
**Description** | **string** |  | [optional] [default to null]
**LaunchSpeed** | **float64** |  | [optional] [default to null]
**TotalDistance** | **float64** |  | [optional] [default to null]
**LaunchAngle** | **float64** |  | [optional] [default to null]
**Trajectory** | **string** |  | [optional] [default to null]
**Hardness** | **string** |  | [optional] [default to null]
**Location** | **string** |  | [optional] [default to null]
**IsBarrel** | **bool** |  | [optional] [default to null]
**HitProbability** | **float64** |  | [optional] [default to null]
**BatSpeed** | **float64** |  | [optional] [default to null]
**IsSwordSwing** | **bool** |  | [optional] [default to null]
**Descriptions** | **map[string]string** |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

