# BaseballPlay

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**RequestingUserRole** | [***Role**](Role.md) |  | [optional] [default to null]
**Balls** | **int32** |  | [optional] [default to null]
**Strikes** | **int32** |  | [optional] [default to null]
**Outs** | **int32** |  | [optional] [default to null]
**Inning** | **int32** |  | [optional] [default to null]
**AtBatIndex** | **int32** |  | [optional] [default to null]
**HalfInning** | **string** |  | [optional] [default to null]
**HasOut** | **bool** |  | [optional] [default to null]
**Batter** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**Pitcher** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**StartTime** | [**time.Time**](time.Time.md) |  | [optional] [default to null]
**EndTime** | [**time.Time**](time.Time.md) |  | [optional] [default to null]
**BatterHotColdZoneStats** | [***Stats**](Stats.md) |  | [optional] [default to null]
**PitcherHotColdZoneStats** | [***Stats**](Stats.md) |  | [optional] [default to null]
**BatterHotColdZones** | [**[]BaseballHotColdZone**](BaseballHotColdZone.md) |  | [optional] [default to null]
**PitcherHotColdZones** | [**[]BaseballHotColdZone**](BaseballHotColdZone.md) |  | [optional] [default to null]
**SplitsBatter** | **string** |  | [optional] [default to null]
**SplitsPitcher** | **string** |  | [optional] [default to null]
**SplitsMenOnBase** | **string** |  | [optional] [default to null]
**PitchHand** | [***DynamicLookupEnum**](DynamicLookupEnum.md) |  | [optional] [default to null]
**BatSide** | [***DynamicLookupEnum**](DynamicLookupEnum.md) |  | [optional] [default to null]
**CaptivatingIndex** | **int32** |  | [optional] [default to null]
**HitTrajectory** | [***HitTrajectory**](HitTrajectory.md) |  | [optional] [default to null]
**EventType** | **string** |  | [optional] [default to null]
**EventTypeEnum** | [***EventType**](EventType.md) |  | [optional] [default to null]
**Result** | **string** |  | [optional] [default to null]
**ResultMap** | **map[string]string** |  | [optional] [default to null]
**Description** | **string** |  | [optional] [default to null]
**NumRbi** | **int32** |  | [optional] [default to null]
**AwayScore** | **int32** |  | [optional] [default to null]
**HomeScore** | **int32** |  | [optional] [default to null]
**IsComplete** | **bool** |  | [optional] [default to null]
**IsScoringPlay** | **bool** |  | [optional] [default to null]
**HasReview** | **bool** |  | [optional] [default to null]
**ReviewType** | **string** |  | [optional] [default to null]
**ReviewOverturned** | **bool** |  | [optional] [default to null]
**ReviewInProgress** | **bool** |  | [optional] [default to null]
**ChallengeTeamId** | **int32** |  | [optional] [default to null]
**Reviews** | [**[]BaseballReview**](BaseballReview.md) |  | [optional] [default to null]
**RunnerOn1b** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**RunnerOn2b** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**RunnerOn3b** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**PitchIndex** | **[]int32** |  | [optional] [default to null]
**ActionIndex** | **[]int32** |  | [optional] [default to null]
**RunnerIndex** | [**[]interface{}**](interface{}.md) |  | [optional] [default to null]
**RunnerMovements** | [**[]BaseballRunnerMovement**](BaseballRunnerMovement.md) |  | [optional] [default to null]
**PlayEvents** | [**[]BaseballPlayEvent**](BaseballPlayEvent.md) |  | [optional] [default to null]
**Credits** | [**[]PlayCredit**](PlayCredit.md) |  | [optional] [default to null]
**Flags** | [**[]PlayCredit**](PlayCredit.md) |  | [optional] [default to null]
**IsDoublePlay** | **bool** |  | [optional] [default to null]
**IsGroundIntoDoublePlay** | **bool** |  | [optional] [default to null]
**IsTriplePlay** | **bool** |  | [optional] [default to null]
**IsGroundIntoTriplePlay** | **bool** |  | [optional] [default to null]
**NumLeftOnBase** | **int32** |  | [optional] [default to null]
**NumLeftOnBaseScoring** | **int32** |  | [optional] [default to null]
**OffensiveAlignmentId** | **string** |  | [optional] [default to null]
**DefensiveAlignmentId** | **string** |  | [optional] [default to null]
**Complete** | **bool** |  | [optional] [default to null]
**ScoringPlay** | **bool** |  | [optional] [default to null]
**TopInning** | **bool** |  | [optional] [default to null]
**Results** | **map[string]string** |  | [optional] [default to null]
**Descriptions** | **map[string]string** |  | [optional] [default to null]
**PlateAppearance** | **bool** |  | [optional] [default to null]
**Summary** | [***BaseballPlay**](BaseballPlay.md) |  | [optional] [default to null]
**BatterResultEvent** | [***EventType**](EventType.md) |  | [optional] [default to null]
**ResponsibleBatter** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**PayoffEvent** | [***BaseballPlayEvent**](BaseballPlayEvent.md) |  | [optional] [default to null]
**TeamNumLeftOnBase** | **int32** |  | [optional] [default to null]
**NumLeftOnBaseScoringPosition** | **int32** |  | [optional] [default to null]
**Hit** | **bool** |  | [optional] [default to null]
**AtBat** | **bool** |  | [optional] [default to null]
**DoublePlay** | **bool** |  | [optional] [default to null]
**TriplePlay** | **bool** |  | [optional] [default to null]
**GroundIntoDoublePlay** | **bool** |  | [optional] [default to null]
**GroundIntoTriplePlay** | **bool** |  | [optional] [default to null]
**GroundOut** | **bool** |  | [optional] [default to null]
**ResponsiblePitcher** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**InPlayEvent** | [***BaseballPlayEvent**](BaseballPlayEvent.md) |  | [optional] [default to null]
**NumErrors** | **int32** |  | [optional] [default to null]
**NumRuns** | **int32** |  | [optional] [default to null]
**UserPrivileges** | [**[]Privilege**](Privilege.md) |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

