# BaseballLinescore

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**RequestingUserRole** | [***Role**](Role.md) |  | [optional] [default to null]
**CreatedAt** | [**time.Time**](time.Time.md) |  | [optional] [default to null]
**AwayScore** | **int32** |  | [optional] [default to null]
**HomeScore** | **int32** |  | [optional] [default to null]
**GameStatus** | [***IGameStatus**](IGameStatus.md) |  | [optional] [default to null]
**HomeTeam** | [***BaseballTeam**](BaseballTeam.md) |  | [optional] [default to null]
**AwayTeam** | [***BaseballTeam**](BaseballTeam.md) |  | [optional] [default to null]
**GamePk** | **int32** |  | [optional] [default to null]
**Note** | **string** |  | [optional] [default to null]
**ScheduledInnings** | **int32** |  | [optional] [default to null]
**CurrentInning** | **int32** |  | [optional] [default to null]
**CurrentInningOrdinal** | **string** |  | [optional] [default to null]
**InningState** | **string** |  | [optional] [default to null]
**InningHalf** | **string** |  | [optional] [default to null]
**IsTopInning** | **bool** |  | [optional] [default to null]
**Innings** | [**[]BaseballInning**](BaseballInning.md) |  | [optional] [default to null]
**RunsAway** | **int32** |  | [optional] [default to null]
**RunsHome** | **int32** |  | [optional] [default to null]
**AwayHits** | **int32** |  | [optional] [default to null]
**HomeHits** | **int32** |  | [optional] [default to null]
**AwayErrors** | **int32** |  | [optional] [default to null]
**HomeErrors** | **int32** |  | [optional] [default to null]
**AwayLeftOnBase** | **int32** |  | [optional] [default to null]
**HomeLeftOnBase** | **int32** |  | [optional] [default to null]
**AwayIsWinner** | **bool** |  | [optional] [default to null]
**HomeIsWinner** | **bool** |  | [optional] [default to null]
**Balls** | **int32** |  | [optional] [default to null]
**Strikes** | **int32** |  | [optional] [default to null]
**Outs** | **int32** |  | [optional] [default to null]
**BatTeam** | [***BaseballTeam**](BaseballTeam.md) |  | [optional] [default to null]
**BatTeamsLastPitcher** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**BatterPosition** | [***BaseballPosition**](BaseballPosition.md) |  | [optional] [default to null]
**Batter** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**OnDeck** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**InHole** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**BattingOrder** | **int32** |  | [optional] [default to null]
**OnFirst** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**OnSecond** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**OnThird** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**PostOnFirst** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**PostOnSecond** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**PostOnThird** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**FieldTeam** | [***BaseballTeam**](BaseballTeam.md) |  | [optional] [default to null]
**Pitcher** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**Catcher** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**FirstBase** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**SecondBase** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**ThirdBase** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**Shortstop** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**LeftField** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**CenterField** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**RightField** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**FieldTeamsDueUpBatter** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**FieldTeamsDueUpOnDeck** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**FieldTeamsDueUpInHole** | [***BaseballPerson**](BaseballPerson.md) |  | [optional] [default to null]
**FieldTeamsBattingOrder** | **int32** |  | [optional] [default to null]
**PlayersNotInField** | [**map[string]BaseballPosition**](BaseballPosition.md) |  | [optional] [default to null]
**Tie** | **bool** |  | [optional] [default to null]
**TopInning** | **bool** |  | [optional] [default to null]
**HydratedStats** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**UserPrivileges** | [**[]Privilege**](Privilege.md) |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

