# BaseballPersonRestObject

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **int32** |  | [optional] [default to null]
**FullName** | **string** |  | [optional] [default to null]
**Link** | **string** |  | [optional] [default to null]
**FirstName** | **string** |  | [optional] [default to null]
**LastName** | **string** |  | [optional] [default to null]
**PrimaryNumber** | **string** |  | [optional] [default to null]
**BirthDate** | **string** |  | [optional] [default to null]
**CurrentAge** | **int32** |  | [optional] [default to null]
**BirthCity** | **string** |  | [optional] [default to null]
**BirthStateProvince** | **string** |  | [optional] [default to null]
**BirthCountry** | **string** |  | [optional] [default to null]
**Nationality** | **string** |  | [optional] [default to null]
**Height** | **string** |  | [optional] [default to null]
**Weight** | **int32** |  | [optional] [default to null]
**Active** | **bool** |  | [optional] [default to null]
**AlternateCaptain** | **bool** |  | [optional] [default to null]
**Captain** | **bool** |  | [optional] [default to null]
**Rookie** | **bool** |  | [optional] [default to null]
**CurrentTeam** | [***BaseballTeamRestObject**](BaseballTeamRestObject.md) |  | [optional] [default to null]
**PrimaryPosition** | [***PositionRestObject**](PositionRestObject.md) |  | [optional] [default to null]
**Social** | [***SocialMediaRestObject**](SocialMediaRestObject.md) |  | [optional] [default to null]
**Copyright** | **string** |  | [optional] [default to null]
**Hydrations** | **[]string** |  | [optional] [default to null]
**UseName** | **string** |  | [optional] [default to null]
**UseLastName** | **string** |  | [optional] [default to null]
**MiddleName** | **string** |  | [optional] [default to null]
**BoxscoreName** | **string** |  | [optional] [default to null]
**NickName** | **string** |  | [optional] [default to null]
**Gender** | **string** |  | [optional] [default to null]
**NameMatrilineal** | **string** |  | [optional] [default to null]
**IsPlayer** | **bool** |  | [optional] [default to null]
**IsVerified** | **bool** |  | [optional] [default to null]
**DraftYear** | **int32** |  | [optional] [default to null]
**DeathDate** | **string** |  | [optional] [default to null]
**DeathCity** | **string** |  | [optional] [default to null]
**DeathStateProvince** | **string** |  | [optional] [default to null]
**DeathCountry** | **string** |  | [optional] [default to null]
**Pronunciation** | **string** |  | [optional] [default to null]
**LastPlayedDate** | **string** |  | [optional] [default to null]
**RookieSeasons** | **[]string** |  | [optional] [default to null]
**OtherNames** | [***OtherNamesRestObject**](OtherNamesRestObject.md) |  | [optional] [default to null]
**Education** | [***EducationRestObject**](EducationRestObject.md) |  | [optional] [default to null]
**Photos** | [**[]PhotoRestObject**](PhotoRestObject.md) |  | [optional] [default to null]
**Stats** | [**[]StatContainerRestObject**](StatContainerRestObject.md) |  | [optional] [default to null]
**Awards** | [**[]AwardRestObject**](AwardRestObject.md) |  | [optional] [default to null]
**Draft** | [**[]PlayerDraftInfoRestObject**](PlayerDraftInfoRestObject.md) |  | [optional] [default to null]
**AdditionalBio** | [***AdditionalBioRestObject**](AdditionalBioRestObject.md) |  | [optional] [default to null]
**MlbDebutDate** | **string** |  | [optional] [default to null]
**BatSide** | [***DynamicEnumRestObject**](DynamicEnumRestObject.md) |  | [optional] [default to null]
**PitchHand** | [***DynamicEnumRestObject**](DynamicEnumRestObject.md) |  | [optional] [default to null]
**Note** | **string** |  | [optional] [default to null]
**NameFirstLast** | **string** |  | [optional] [default to null]
**NameTitle** | **string** |  | [optional] [default to null]
**NamePrefix** | **string** |  | [optional] [default to null]
**NameSuffix** | **string** |  | [optional] [default to null]
**NameSlug** | **string** |  | [optional] [default to null]
**FirstLastName** | **string** |  | [optional] [default to null]
**LastFirstName** | **string** |  | [optional] [default to null]
**LastInitName** | **string** |  | [optional] [default to null]
**InitLastName** | **string** |  | [optional] [default to null]
**FullFMLName** | **string** |  | [optional] [default to null]
**FullLFMName** | **string** |  | [optional] [default to null]
**StrikeZoneTop** | **float64** |  | [optional] [default to null]
**StrikeZoneBottom** | **float64** |  | [optional] [default to null]
**AlumniLastSeason** | **string** |  | [optional] [default to null]
**Drafts** | [**[]BaseballDraftProspectRestObject**](BaseballDraftProspectRestObject.md) |  | [optional] [default to null]
**Transactions** | [**[]TransactionRestObject**](TransactionRestObject.md) |  | [optional] [default to null]
**Articles** | [**[]IFeedRestObject**](IFeedRestObject.md) |  | [optional] [default to null]
**Videos** | [**[]IFeedRestObject**](IFeedRestObject.md) |  | [optional] [default to null]
**MixedFeed** | [**[]IFeedRestObject**](IFeedRestObject.md) |  | [optional] [default to null]
**Relatives** | [**[]BaseballPersonRestObject**](BaseballPersonRestObject.md) |  | [optional] [default to null]
**XrefIds** | [**[]XrefIdRestObject**](XrefIdRestObject.md) |  | [optional] [default to null]
**Nicknames** | **[]string** |  | [optional] [default to null]
**DepthCharts** | [**[]DepthChartRestObject**](DepthChartRestObject.md) |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

