# BaseballPlayEventRestObject

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Copyright** | **string** |  | [optional] [default to null]
**Details** | [***Details**](Details.md) |  | [optional] [default to null]
**Count** | [***Count**](Count.md) |  | [optional] [default to null]
**PostCount** | [***Count**](Count.md) |  | [optional] [default to null]
**PreCount** | [***Count**](Count.md) |  | [optional] [default to null]
**PitchData** | [***BaseballPitchDataRestObject**](BaseballPitchDataRestObject.md) |  | [optional] [default to null]
**HitData** | [***BaseballHitDataRestObject**](BaseballHitDataRestObject.md) |  | [optional] [default to null]
**Index** | **int32** |  | [optional] [default to null]
**PfxId** | **string** |  | [optional] [default to null]
**PlayId** | **string** |  | [optional] [default to null]
**ActionPlayId** | **string** |  | [optional] [default to null]
**PitchNumber** | **int32** |  | [optional] [default to null]
**PickoffNumber** | **int32** |  | [optional] [default to null]
**AtBatNumber** | **int32** |  | [optional] [default to null]
**StartTime** | [**time.Time**](time.Time.md) |  | [optional] [default to null]
**EndTime** | [**time.Time**](time.Time.md) |  | [optional] [default to null]
**IsPitch** | **bool** |  | [optional] [default to null]
**IsBaseRunningPlay** | **bool** |  | [optional] [default to null]
**IsSubstitution** | **bool** |  | [optional] [default to null]
**Type_** | **string** |  | [optional] [default to null]
**Player** | [***BaseballPersonRestObject**](BaseballPersonRestObject.md) |  | [optional] [default to null]
**Umpire** | [***BaseballPersonRestObject**](BaseballPersonRestObject.md) |  | [optional] [default to null]
**Position** | [***PositionRestObject**](PositionRestObject.md) |  | [optional] [default to null]
**BattingOrder** | **string** |  | [optional] [default to null]
**ReplacedPlayer** | [***BaseballPersonRestObject**](BaseballPersonRestObject.md) |  | [optional] [default to null]
**Base** | **int32** |  | [optional] [default to null]
**InjuryType** | **string** |  | [optional] [default to null]
**Defense** | [***BaseballDefenseRestObject**](BaseballDefenseRestObject.md) |  | [optional] [default to null]
**Offense** | [***BaseballOffenseRestObject**](BaseballOffenseRestObject.md) |  | [optional] [default to null]
**Credits** | [**[]PlayCreditRestObject**](PlayCreditRestObject.md) |  | [optional] [default to null]
**Officials** | [**[]OfficialRestObject**](OfficialRestObject.md) |  | [optional] [default to null]
**ReviewDetails** | [***ReviewDetails**](ReviewDetails.md) |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

