# BaseballSchedule

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**RequestingUserRole** | [***Role**](Role.md) |  | [optional] [default to null]
**Games** | [**[]BaseballScheduleItem**](BaseballScheduleItem.md) |  | [optional] [default to null]
**RefreshInterval** | **int32** |  | [optional] [default to null]
**IncludeSiteBroadcasts** | **bool** |  | [optional] [default to null]
**IncludeEventTickets** | **bool** |  | [optional] [default to null]
**GameTypes** | [**[]GameTypeEnum**](GameTypeEnum.md) |  | [optional] [default to null]
**ScheduleEvents** | [**[]ScheduleEvent**](ScheduleEvent.md) |  | [optional] [default to null]
**Abschallenges** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**Challenges** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**Flags** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**TeamsWithGames** | **[]int32** |  | [optional] [default to null]
**ScheduleItems** | [**[]BaseballScheduleItem**](BaseballScheduleItem.md) |  | [optional] [default to null]
**HomeRuns** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**Alerts** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**BaseballSchedule** | [**[]BaseballScheduleItem**](BaseballScheduleItem.md) |  | [optional] [default to null]
**HydratedStats** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**HydratedPeople** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**PreviousPlay** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**HydratedTeamLeadersInPreview** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**HydratedTeamLeaders** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**ProbablePitchersNotes** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**HydratedProbablePitchers** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**LiveLookins** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**BaseballLineups** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**ProbableOfficials** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**HydratedTeamsAsString** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**HydratedVenuesAsString** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**HydratedEventVenuesAsString** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**HydratedEventDivisionsAsString** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**HydratedEventLeaguesAsString** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**HydratedEventSportsAsString** | [**map[string]interface{}**](interface{}.md) |  | [optional] [default to null]
**GamePreviewStoryLegacy** | [***BaseballScheduleItem**](BaseballScheduleItem.md) |  | [optional] [default to null]
**UserPrivileges** | [**[]Privilege**](Privilege.md) |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

