# GamePaceRestObject

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Copyright** | **string** |  | [optional] [default to null]
**Hydrations** | **[]string** |  | [optional] [default to null]
**HitsPer9Inn** | **float64** |  | [optional] [default to null]
**RunsPer9Inn** | **float64** |  | [optional] [default to null]
**PitchesPer9Inn** | **float64** |  | [optional] [default to null]
**PlateAppearancesPer9Inn** | **float64** |  | [optional] [default to null]
**HitsPerGame** | **float64** |  | [optional] [default to null]
**RunsPerGame** | **float64** |  | [optional] [default to null]
**InningsPlayedPerGame** | **float64** |  | [optional] [default to null]
**PitchesPerGame** | **float64** |  | [optional] [default to null]
**PitchersPerGame** | **float64** |  | [optional] [default to null]
**PlateAppearancesPerGame** | **float64** |  | [optional] [default to null]
**TotalGameTime** | [***Duration**](Duration.md) |  | [optional] [default to null]
**TotalInningsPlayed** | **float64** |  | [optional] [default to null]
**TotalHits** | **int32** |  | [optional] [default to null]
**TotalRuns** | **int32** |  | [optional] [default to null]
**TotalPlateAppearances** | **int32** |  | [optional] [default to null]
**TotalPitchers** | **int32** |  | [optional] [default to null]
**TotalPitches** | **int32** |  | [optional] [default to null]
**TotalGames** | **int32** |  | [optional] [default to null]
**Total7InnGames** | **int32** |  | [optional] [default to null]
**Total9InnGames** | **int32** |  | [optional] [default to null]
**TotalExtraInnGames** | **int32** |  | [optional] [default to null]
**TimePerGame** | [***Duration**](Duration.md) |  | [optional] [default to null]
**TimePerPitch** | [***Duration**](Duration.md) |  | [optional] [default to null]
**TimePerHit** | [***Duration**](Duration.md) |  | [optional] [default to null]
**TimePerRun** | [***Duration**](Duration.md) |  | [optional] [default to null]
**TimePerPlateAppearance** | [***Duration**](Duration.md) |  | [optional] [default to null]
**TimePer9Inn** | [***Duration**](Duration.md) |  | [optional] [default to null]
**TimePer77PlateAppearances** | [***Duration**](Duration.md) |  | [optional] [default to null]
**TotalExtraInnTime** | [***Duration**](Duration.md) |  | [optional] [default to null]
**TimePer7InnGame** | [***Duration**](Duration.md) |  | [optional] [default to null]
**TimePer7InnGameWithoutExtraInn** | [***Duration**](Duration.md) |  | [optional] [default to null]
**Total7InnGamesScheduled** | **int32** |  | [optional] [default to null]
**Total7InnGamesCompletedEarly** | **int32** |  | [optional] [default to null]
**Total7InnGamesWithoutExtraInn** | **int32** |  | [optional] [default to null]
**Total9InnGamesCompletedEarly** | **int32** |  | [optional] [default to null]
**Total9InnGamesWithoutExtraInn** | **int32** |  | [optional] [default to null]
**Total9InnGamesScheduled** | **int32** |  | [optional] [default to null]
**HitsPerRun** | **float64** |  | [optional] [default to null]
**PitchesPerPitcher** | **float64** |  | [optional] [default to null]
**Season** | **string** |  | [optional] [default to null]
**Team** | [***BaseballTeamRestObject**](BaseballTeamRestObject.md) |  | [optional] [default to null]
**League** | [***LeagueRestObject**](LeagueRestObject.md) |  | [optional] [default to null]
**Sport** | [***SportRestObject**](SportRestObject.md) |  | [optional] [default to null]
**PrPortalCalculatedFields** | [***GamePacePrPortalRestObject**](GamePacePRPortalRestObject.md) |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

