# ScheduleEvent

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **int32** |  | [optional] [default to null]
**Name** | **string** |  | [optional] [default to null]
**Link** | **string** |  | [optional] [default to null]
**EventType** | [***ScheduleEventTypes**](ScheduleEventTypes.md) |  | [optional] [default to null]
**EventDate** | [**time.Time**](time.Time.md) |  | [optional] [default to null]
**CalendarDate** | **string** |  | [optional] [default to null]
**EndDate** | **string** |  | [optional] [default to null]
**EndDateTime** | [**time.Time**](time.Time.md) |  | [optional] [default to null]
**Images** | [**[]Image**](Image.md) |  | [optional] [default to null]
**Venue** | [***Venue**](Venue.md) |  | [optional] [default to null]
**Sports** | [**[]Sport**](Sport.md) |  | [optional] [default to null]
**Leagues** | [**[]League**](League.md) |  | [optional] [default to null]
**Divisions** | [**[]Division**](Division.md) |  | [optional] [default to null]
**OrganizationIds** | **[]int32** |  | [optional] [default to null]
**Game** | [***BaseballScheduleItem**](BaseballScheduleItem.md) |  | [optional] [default to null]
**Content** | [***ScheduleEventCms**](ScheduleEventCms.md) |  | [optional] [default to null]
**EventDesignations** | [**[]Designation**](Designation.md) |  | [optional] [default to null]
**Tickets** | [**[]BaseballTicket**](BaseballTicket.md) |  | [optional] [default to null]
**PromotionTickets** | [**[]BaseballTicket**](BaseballTicket.md) |  | [optional] [default to null]
**TimeZone** | [***TimeZone**](TimeZone.md) |  | [optional] [default to null]
**EventStatus** | [***EventStatus**](EventStatus.md) |  | [optional] [default to null]
**TeamId** | **int32** |  | [optional] [default to null]
**OrganizationId** | **int32** |  | [optional] [default to null]
**OrganizationType** | **string** |  | [optional] [default to null]
**CalendarType** | [***CalendarTypes**](CalendarTypes.md) |  | [optional] [default to null]
**FileCode** | **string** |  | [optional] [default to null]
**EventNumber** | **int32** |  | [optional] [default to null]
**PublicFacing** | [***PublicFacingEnum**](PublicFacingEnum.md) |  | [optional] [default to null]
**Teams** | [**[]BaseballTeam**](BaseballTeam.md) |  | [optional] [default to null]
**TrackingVersion** | [***TrackingVersion**](TrackingVersion.md) |  | [optional] [default to null]
**TrackingSystemOwner** | [***TrackingSystemOwner**](TrackingSystemOwner.md) |  | [optional] [default to null]
**CoachingVideo** | [**[]MediaSourceType**](MediaSourceType.md) |  | [optional] [default to null]
**Broadcasts** | [**[]NonGameDateBroadcast**](NonGameDateBroadcast.md) |  | [optional] [default to null]
**NonGameGuid** | **string** |  | [optional] [default to null]
**MultiDay** | **bool** |  | [optional] [default to null]
**PrimaryCalendar** | **bool** |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

