# VenueRestObject

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Copyright** | **string** |  | [optional] [default to null]
**Hydrations** | **[]string** |  | [optional] [default to null]
**Id** | **int32** |  | [optional] [default to null]
**Name** | **string** |  | [optional] [default to null]
**Link** | **string** |  | [optional] [default to null]
**Location** | [***LocationRestObject**](LocationRestObject.md) |  | [optional] [default to null]
**TimeZone** | [***TimeZoneRestObject**](TimeZoneRestObject.md) |  | [optional] [default to null]
**FieldInfo** | [***FieldInfoRestObject**](FieldInfoRestObject.md) |  | [optional] [default to null]
**RelatedApplications** | [**[]ApplicationRestObject**](ApplicationRestObject.md) |  | [optional] [default to null]
**Images** | [**map[string]ImageRestObject**](ImageRestObject.md) |  | [optional] [default to null]
**Social** | [***SocialMediaRestObject**](SocialMediaRestObject.md) |  | [optional] [default to null]
**Menu** | [***JsonNode**](JsonNode.md) |  | [optional] [default to null]
**Schedule** | [***ScheduleRestObject**](ScheduleRestObject.md) |  | [optional] [default to null]
**NextSchedule** | [***ScheduleRestObject**](ScheduleRestObject.md) |  | [optional] [default to null]
**PreviousSchedule** | [***ScheduleRestObject**](ScheduleRestObject.md) |  | [optional] [default to null]
**Metadata** | [***VenueMetadataRestObject**](VenueMetadataRestObject.md) |  | [optional] [default to null]
**AppEnabled** | **bool** |  | [optional] [default to null]
**XrefIds** | [**[]XrefIdRestObject**](XrefIdRestObject.md) |  | [optional] [default to null]
**TrackingVersion** | [***TrackingVersionRestObject**](TrackingVersionRestObject.md) |  | [optional] [default to null]
**CoachingVideo** | [**[]MediaSourceType**](MediaSourceType.md) |  | [optional] [default to null]
**RuleSettings** | [**[]RuleSettingsRestObject**](RuleSettingsRestObject.md) |  | [optional] [default to null]
**Active** | **bool** |  | [optional] [default to null]
**Season** | **string** |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

